import { ClassHelpers, ObjCreator, Realm, UpdateMode, binding } from "./internal";
export declare function toArrayBuffer(value: unknown, stringToBase64?: boolean): ArrayBuffer;
/** @internal */
export type TypeHelpers<T = unknown> = {
    toBinding(value: T, options?: {
        createObj?: ObjCreator;
        updateMode?: UpdateMode;
    }): binding.MixedArg;
    fromBinding(value: unknown): T;
};
/** @internal */
export type TypeOptions = {
    realm: Realm;
    name: string;
    optional: boolean;
    objectType: string | undefined;
    objectSchemaName: string | undefined;
    getClassHelpers(nameOrTableKey: string | binding.TableKey): ClassHelpers;
};
/** @internal */
export declare function mixedToBinding(realm: binding.Realm, value: unknown): binding.MixedArg;
/** @internal */
export declare function getTypeHelpers(type: binding.PropertyType, options: TypeOptions): TypeHelpers;
