import { User } from "../internal";
/**
 * A function which executes on the Atlas App Services server.
 */
export type AppServicesFunction<R, A extends unknown[]> = (...args: A) => Promise<R>;
/**
 * The default functions factory, providing types for easily calling functions.
 */
export type DefaultFunctionsFactory = {
    /**
     * All the functions are accessible as members on this instance.
     */
    [name: string]: AppServicesFunction<unknown, unknown[]>;
};
export declare function createFactory<T>(user: User, serviceName: string | undefined): T;
//# sourceMappingURL=FunctionsFactory.d.ts.map