export type DefaultUserProfileData = {
    /**
     * The commonly displayed name of the user.
     */
    name?: string;
    /**
     * The users email address.
     */
    email?: string;
    /**
     * A URL referencing a picture associated with the user.
     */
    pictureUrl?: string;
    /**
     * The users first name.
     */
    firstName?: string;
    /**
     * The users last name.
     */
    lastName?: string;
    /**
     * The users gender.
     */
    gender?: string;
    /**
     * The users birthday.
     */
    birthday?: string;
    /**
     * The minimal age of the user.
     */
    minAge?: string;
    /**
     * The maximal age of the user.
     */
    maxAge?: string;
} & {
    /**
     * Authentication providers might store additional data here.
     */
    [key: string]: unknown;
};
//# sourceMappingURL=UserProfile.d.ts.map